<?php

namespace Qls\ServicePoints\Struct;

use Shopware\Core\Framework\Struct\Struct;

class ServicePointInformation extends Struct
{
    public bool $isServicePointShippingMethod;

    public string $shippingMethodEndpoint;

    public ?ServicePoint $servicePoint;

    public function __construct(bool $isServicePointShippingMethod, string $shippingMethodEndpoint, ?ServicePoint $servicePoint)
    {
        $this->isServicePointShippingMethod = $isServicePointShippingMethod;
        $this->shippingMethodEndpoint = $shippingMethodEndpoint;
        $this->servicePoint = $servicePoint;
    }
}
